org.apache.lucene.analysis.core

## Class TypeTokenFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.util.FilteringTokenFilter
        - - org.apache.lucene.analysis.core.TypeTokenFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class TypeTokenFilter
    extends FilteringTokenFilter

Removes tokens whose types appear in a set of blocked types from a token stream.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`TypeTokenFilter(boolean enablePositionIncrements, TokenStream input, Set<String> stopTypes)`
`TypeTokenFilter(boolean enablePositionIncrements, TokenStream input, Set<String> stopTypes, boolean useWhiteList)`

### Method Summary

Methods
`protected boolean` `accept()` By default accept the token if its type is not a stop type.

### Methods inherited from class org.apache.lucene.analysis.util.FilteringTokenFilter

`getEnablePositionIncrements, incrementToken, reset, setEnablePositionIncrements`

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeTokenFilter

    public TypeTokenFilter(boolean enablePositionIncrements,
                   TokenStream input,
                   Set<String> stopTypes,
                   boolean useWhiteList)

#### TypeTokenFilter

    public TypeTokenFilter(boolean enablePositionIncrements,
                   TokenStream input,
                   Set<String> stopTypes)

### Method Detail

#### accept

    protected boolean accept()

By default accept the token if its type is not a stop type. When the useWhiteList parameter is set to true then accept the token if its type is contained in the stopTypes

Specified by:
  `accept` in class `FilteringTokenFilter`